


#ifndef __PTDEBUG_H__
#define __PTDEBUG_H__

#include <sstream>

class PtDebug
{
public:
	PtDebug();
	~PtDebug();

	static void SetMask(unsigned int mask)
	{
		m_mask = mask;
	}

	static void SetOutput(FILE * file)
	{
		m_file = file;
	}

	std::ostringstream & Get(int level);

	static bool IsSet(int level);


private:
	std::ostringstream m_os;

	static unsigned int m_mask;

	static FILE * m_file;
};

#define DEBUG(level) \
	if(!PtDebug::IsSet(level)) ; \
	else \
	PtDebug().Get(level)

#define Pt_Info DEBUG(0)


#endif
