#include <cstdio>

#include "PtDebug.h"
#include "boost/date_time/posix_time/posix_time.hpp"

unsigned int PtDebug::m_mask = 0xffffffff;
FILE * PtDebug::m_file = stderr;


std::ostringstream & PtDebug::Get(int level)
{
	m_os << "- " << boost::posix_time::to_iso_string(boost::posix_time::second_clock::local_time()) << " ";
	switch(level)
	{
	case 0:
		m_os << "INFO:\t";
		break;
	case 1:
		m_os << "ERROR:\t";
		break;
	case 2:
		m_os << "WARN:\t";
		break;
	default:
		m_os << "debug" << level << ":\t";
		break;
	}

	return m_os;
}

bool PtDebug::IsSet(int level)
{
	return (1 << level) & m_mask;
}

PtDebug::PtDebug()
{}

PtDebug::~PtDebug()
{
	fprintf(m_file, "%s", m_os.str().c_str());
	fflush(m_file);
}



